# Get Master Keys Vault By Agent

GET https://analytics.alephant.io/v1/analytics/master-keys/vault-by-agent

Top agents for one master key, ordered by cost.

**Success `data`:** `{ "window", "masterKeyId", "rows": [...] }`

Reference: https://api.alephant.io/api-reference/analytics-api/analytics-atomic/get-master-keys-vault-by-agent

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: analytics-openapi
  version: 1.0.0
paths:
  /v1/analytics/master-keys/vault-by-agent:
    get:
      operationId: get-master-keys-vault-by-agent
      summary: Get Master Keys Vault By Agent
      description: |-
        Top agents for one master key, ordered by cost.

        **Success `data`:** `{ "window", "masterKeyId", "rows": [...] }`
      tags:
        - subpackage_analyticsAtomic
      parameters:
        - name: masterKeyId
          in: query
          description: Master key UUID (non-nil).
          required: true
          schema:
            type: string
        - name: preset
          in: query
          description: Calendar preset; default `30d`.
          required: false
          schema:
            type: string
        - name: start
          in: query
          description: YYYY-MM-DD with end.
          required: false
          schema:
            type: string
        - name: end
          in: query
          description: YYYY-MM-DD with start.
          required: false
          schema:
            type: string
        - name: limit
          in: query
          description: Max rows (default 50, max 200).
          required: false
          schema:
            type: integer
        - name: Authorization
          in: header
          description: >-
            Optional. Bearer JWT, Virtual Key, or PAT. Server also accepts
            Cookie `alephant_token`; not modeled as a header here.
          required: false
          schema:
            type: string
        - name: X-Workspace-Id
          in: header
          description: >-
            Optional in the spec; required for authenticated analytics. Omit for
            unauthenticated `GET /v1/analytics/health`.
          required: false
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AnalyticsJsonResponse'
servers:
  - url: https://analytics.alephant.io
  - url: https://analytics-dev.alephant.io
components:
  schemas:
    AnalyticsJsonResponse:
      type: object
      properties:
        code:
          type: integer
        message:
          type: string
        data:
          description: Any type
      required:
        - code
        - message
        - data
      title: AnalyticsJsonResponse

```

## SDK Code Examples

```python
import requests

url = "https://analytics.alephant.io/v1/analytics/master-keys/vault-by-agent"

querystring = {"masterKeyId":"3fa85f64-5717-4562-b3fc-2c963f66afa6","preset":"30d","start":"2024-05-01","end":"2024-05-31","limit":"10"}

payload = {}
headers = {"Content-Type": "application/json"}

response = requests.get(url, json=payload, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://analytics.alephant.io/v1/analytics/master-keys/vault-by-agent?masterKeyId=3fa85f64-5717-4562-b3fc-2c963f66afa6&preset=30d&start=2024-05-01&end=2024-05-31&limit=10';
const options = {method: 'GET', headers: {'Content-Type': 'application/json'}, body: '{}'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://analytics.alephant.io/v1/analytics/master-keys/vault-by-agent?masterKeyId=3fa85f64-5717-4562-b3fc-2c963f66afa6&preset=30d&start=2024-05-01&end=2024-05-31&limit=10"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://analytics.alephant.io/v1/analytics/master-keys/vault-by-agent?masterKeyId=3fa85f64-5717-4562-b3fc-2c963f66afa6&preset=30d&start=2024-05-01&end=2024-05-31&limit=10")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://analytics.alephant.io/v1/analytics/master-keys/vault-by-agent?masterKeyId=3fa85f64-5717-4562-b3fc-2c963f66afa6&preset=30d&start=2024-05-01&end=2024-05-31&limit=10")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://analytics.alephant.io/v1/analytics/master-keys/vault-by-agent?masterKeyId=3fa85f64-5717-4562-b3fc-2c963f66afa6&preset=30d&start=2024-05-01&end=2024-05-31&limit=10', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://analytics.alephant.io/v1/analytics/master-keys/vault-by-agent?masterKeyId=3fa85f64-5717-4562-b3fc-2c963f66afa6&preset=30d&start=2024-05-01&end=2024-05-31&limit=10");
var request = new RestRequest(Method.GET);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://analytics.alephant.io/v1/analytics/master-keys/vault-by-agent?masterKeyId=3fa85f64-5717-4562-b3fc-2c963f66afa6&preset=30d&start=2024-05-01&end=2024-05-31&limit=10")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```